Bug 43036 - python-doc packages aren't found by pydoc
Summary: python-doc packages aren't found by pydoc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hye-Shik Chang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-20 14:20 UTC by Emil Sit
Modified: 2003-07-31 21:06 UTC (History)
0 users

See Also:


Attachments
file.diff (931 bytes, patch)
2002-09-20 14:20 UTC, Emil Sit
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Sit 2002-09-20 14:20:28 UTC
	The pydoc command (and interactive python help() function) do
	not find the docs installed by the python-doc-html package.

Fix: Patch /usr/local/lib/python2.2/pydoc.py with something like:
How-To-Repeat: 	# portinstall python
	# portinstall python-doc-html
	$ python
	>>> help ()
	help> and
Comment 1 Tilman Keskinoz freebsd_committer 2002-10-22 22:49:40 UTC
Responsible Changed
From-To: freebsd-ports->tg

Over to python Maintainer
Comment 2 Tilman Keskinoz freebsd_committer 2003-03-31 19:14:26 UTC
Responsible Changed
From-To: tg->alane

alane is now maintaining python.
Comment 3 Will Andrews freebsd_committer 2003-06-08 22:18:07 UTC
Responsible Changed
From-To: alane->ports

Please see http://freebsd.kde.org/memoriam/alane.php .
Comment 4 Will Andrews freebsd_committer 2003-06-08 22:27:50 UTC
Responsible Changed
From-To: ports->freebsd-ports-bugs

Assign this correctly...
Comment 5 Tilman Keskinoz freebsd_committer 2003-07-22 17:16:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

perky now maintains python
Comment 6 Hye-Shik Chang freebsd_committer 2003-07-31 21:06:12 UTC
State Changed
From-To: open->closed

Fixed from lang/python and lang/python22. 
Thank you for your efforts!